### Hierarchy

- unknown
  - ProtectedStorageEntry

## Index

### Constructors

- constructor

### Methods

- clearStoragepayload
- getCreationTimeStamp
- getOwnerPubKeyBytes
- getOwnerPubKeyBytes_asB64
- getOwnerPubKeyBytes_asU8
- getSequenceNumber
- getSignature
- getSignature_asB64
- getSignature_asU8
- getStoragepayload
- hasStoragepayload
- serializeBinary
- setCreationTimeStamp
- setOwnerPubKeyBytes
- setSequenceNumber
- setSignature
- setStoragepayload
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ProtectedStorageEntry(): ProtectedStorageEntry

- Inherited from jspb.Message.constructor

  #### Returns ProtectedStorageEntry

## Methods

### clearStoragepayload

- clearStoragepayload(): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2522

  #### Returns ProtectedStorageEntry

### getCreationTimeStamp

- getCreationTimeStamp(): number

- - Defined in src/protobuf/pb_pb.d.ts:2537

  #### Returns number

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2524

  #### Returns string | Uint8Array

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2526

  #### Returns string

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2525

  #### Returns Uint8Array

### getSequenceNumber

- getSequenceNumber(): number

- - Defined in src/protobuf/pb_pb.d.ts:2529

  #### Returns number

### getSignature

- getSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2532

  #### Returns string | Uint8Array

### getSignature_asB64

- getSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2534

  #### Returns string

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2533

  #### Returns Uint8Array

### getStoragepayload

- getStoragepayload(): undefined | StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2519

  #### Returns undefined | StoragePayload

### hasStoragepayload

- hasStoragepayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2521

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2540

  #### Returns Uint8Array

### setCreationTimeStamp

- setCreationTimeStamp(value: number): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2538

  #### Parameters

  - ##### value: number

  #### Returns ProtectedStorageEntry

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2527

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProtectedStorageEntry

### setSequenceNumber

- setSequenceNumber(value: number): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2530

  #### Parameters

  - ##### value: number

  #### Returns ProtectedStorageEntry

### setSignature

- setSignature(value: string | Uint8Array): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2535

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProtectedStorageEntry

### setStoragepayload

- setStoragepayload(value?: StoragePayload ): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2520

  #### Parameters

  - ##### Optional value: StoragePayload

  #### Returns ProtectedStorageEntry

### toObject

- toObject(includeInstance?: boolean): ProtectedStorageEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2541

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ProtectedStorageEntry . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2544

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ProtectedStorageEntry

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ProtectedStorageEntry, reader: BinaryReader): ProtectedStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:2545

  #### Parameters

  - ##### message: ProtectedStorageEntry

  - ##### reader: BinaryReader

  #### Returns ProtectedStorageEntry

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ProtectedStorageEntry, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2543

  #### Parameters

  - ##### message: ProtectedStorageEntry

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ProtectedStorageEntry ): ProtectedStorageEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2542

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ProtectedStorageEntry

  #### Returns ProtectedStorageEntry . AsObject

Generated using TypeDoc